be.fgov.ehealth.idsupport.core.v2

## Class ProviderInfoDetailType

- java.lang.Object
- - be.fgov.ehealth.idsupport.core.v2.ProviderInfoDetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:59:12+01:00",
                 comments="JAXB RI v2.2.11")
      public class ProviderInfoDetailType
      extends Object
      implements Serializable

  Extra information detail returned by provider on the status of the processed request.

  Java class for ProviderInfoDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ProviderInfoDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="FieldName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="FieldValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderInfoDetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()` Gets the value of the fieldName property.
    `String` | `getFieldValue()` Gets the value of the fieldValue property.
    `void` | `setFieldName(String value)` Sets the value of the fieldName property.
    `void` | `setFieldValue(String value)` Sets the value of the fieldValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderInfoDetailType

          public ProviderInfoDetailType()

  - ### Method Detail

    - #### getFieldName

          public String getFieldName()

      Gets the value of the fieldName property.
      Returns:
        possible object is `String`

    - #### setFieldName

          public void setFieldName(String value)

      Sets the value of the fieldName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFieldValue

          public String getFieldValue()

      Gets the value of the fieldValue property.
      Returns:
        possible object is `String`

    - #### setFieldValue

          public void setFieldValue(String value)

      Sets the value of the fieldValue property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.